Subject: Re: bug#18788: 24.4; vc-git-working-revision vs mode-line gives error

From: Kevin Brubeck Unhammer <[email-masked]>
Date: Mon, 02 Feb 2015 14:53:53 +0100

Dmitry Gutov <[email-masked]> writes:

> On 01/31/2015 03:09 PM, Kevin Brubeck Unhammer wrote:
>
>> The repo I've seen it with under ~ if that makes any difference (ie.
>> ~/.git) – I can't remember if I've seen it other places.
>
> Is '~/.git' the name of the directory under version control? That
> could be the cause of your problem: there is a directory with this
> name in (almost) every Git repository, and it's used to store all
> version control information. Git could be getting confused by this
> name.

No, sorry for the confusion; ~ is the directory under version control, I
just mentioned that to indicate where the root of the version-controlled
repo was :-)

>> I get
>>
>>      fatal: Not a git repository: .git
>
> This points to the above explanation. However, it's odd that you can't
> reproduce the problem reliably.
>
>> Notably, this only happens with files that are in subdirectories of ~
>> (but still tracked by the ~ repo), not with files that are directly
>> inside ~. E.g. it happens with ~/org/gtd.org, but not with ~/.gitignore.
>
> Did that happen with files inside ~/org/gtd.org? Was the error message
> the same?

It happened with any file in a subdirectory of ~, but not with files
directly in ~

>> When I restarted emacs to see if it had anything to do with my init.el,
>> the bug was gone again.
>
> Yeah, I think we'll need a solid reproduction to fix it.

Yes :-/

-- 
Kevin Brubeck Unhammer

GPG: 0x766AC60C